
minimax hailuo-02
text-to-videoimage-to-video
Endpoint
POST /v1/minimax/hailuo-02/predictions
Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
| prompt | string | Required | Text description for video generation |
| duration | enum 610 | Optional | Video duration in seconds |
| resolution | enum 512p768p1080p | Optional | Output video resolution |
| first_frame_image | string | Optional | Optional starting image for the video |
JSON
{
"input": {
"prompt": "Create an action movie scene"
},
"image_count": 1
}
// Available parameters:
// - prompt (required): Text description for video generation
// - duration (optional): "6", "10"
// - resolution (optional): "512p", "768p", "1080p"
// - first_frame_image (optional): Optional starting image for the videoJSON
{
"id": 137,
"user_id": "abc123",
"model": "minimax",
"model_version": "hailuo-02",
"input_parameters": {},
"output_data": {
"urls": [
"https://cdn.deepcreativelabs.com/...video.mp4"
]
},
"status": "processing",
"credits_used": "2.5",
"created_at": "2026-01-08T11:23:28.812T",
"updated_at": "2026-01-08T11:23:28.812T"
}
// Pricing:
// Conditional pricing based on parametersbash
curl -X POST https://api.deepcreativelabs.com/v1/minimax/hailuo-02/predictions \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-H "accept: application/json" \
-d '{
"input": {
"prompt": "Create an action movie scene"
},
"image_count": 1
}'